diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -2103,10 +2112,10 @@ RREEDDIIRREECCTTIIOONN
 
               [_n]<<<<<<_w_o_r_d
 
-       The _w_o_r_d undergoes brace  expansion,  tilde  expansion,  parameter  and
-       variable  expansion,  command  substitution,  arithmetic expansion, and
-       quote removal.  Pathname expansion and  word  splitting  are  not  per-
-       formed.   The  result  is supplied as a single string to the command on
+       The  _w_o_r_d  undergoes  brace  expansion,  tilde expansion, parameter and
+       variable expansion, command  substitution,  arithmetic  expansion,  and
+       quote  removal.   Pathname  expansion  and  word splitting are not per-
+       formed.  The result is supplied as a single string to  the  command  on
        its standard input (or file descriptor _n if _n is specified).
 
    DDuupplliiccaattiinngg FFiillee DDeessccrriippttoorrss
@@ -2115,22 +2124,22 @@ RREEDDIIRREECCTTIIOONN
               [_n]<<&&_w_o_r_d
 
        is used to duplicate input file descriptors.  If _w_o_r_d expands to one or
-       more  digits,  the file descriptor denoted by _n is made to be a copy of
-       that file descriptor.  If the digits in _w_o_r_d  do  not  specify  a  file
-       descriptor  open for input, a redirection error occurs.  If _w_o_r_d evalu-
-       ates to --, file descriptor _n is closed.  If _n  is  not  specified,  the
+       more digits, the file descriptor denoted by _n is made to be a  copy  of
+       that  file  descriptor.   If  the  digits in _w_o_r_d do not specify a file
+       descriptor open for input, a redirection error occurs.  If _w_o_r_d  evalu-
+       ates  to  --,  file  descriptor _n is closed.  If _n is not specified, the
        standard input (file descriptor 0) is used.
 
        The operator
 
               [_n]>>&&_w_o_r_d
 
-       is  used  similarly  to duplicate output file descriptors.  If _n is not
-       specified, the standard output (file descriptor 1)  is  used.   If  the
-       digits  in _w_o_r_d do not specify a file descriptor open for output, a re-
-       direction error occurs.  If _w_o_r_d evaluates to --, file descriptor  _n  is
-       closed.   As  a special case, if _n is omitted, and _w_o_r_d does not expand
-       to one or more digits or --, the standard output and standard error  are
+       is used similarly to duplicate output file descriptors.  If  _n  is  not
+       specified,  the  standard  output  (file descriptor 1) is used.  If the
+       digits in _w_o_r_d do not specify a file descriptor open for output, a  re-
+       direction  error  occurs.  If _w_o_r_d evaluates to --, file descriptor _n is
+       closed.  As a special case, if _n is omitted, and _w_o_r_d does  not  expand
+       to  one or more digits or --, the standard output and standard error are
        redirected as described previously.
 
    MMoovviinngg FFiillee DDeessccrriippttoorrss
@@ -2138,7 +2147,7 @@ RREEDDIIRREECCTTIIOONN
 
               [_n]<<&&_d_i_g_i_t--
 
-       moves  the  file descriptor _d_i_g_i_t to file descriptor _n, or the standard
+       moves the file descriptor _d_i_g_i_t to file descriptor _n, or  the  standard
        input (file descriptor 0) if _n is not specified.  _d_i_g_i_t is closed after
        being duplicated to _n.
 
@@ -2146,7 +2155,7 @@ RREEDDIIRREECCTTIIOONN
 
               [_n]>>&&_d_i_g_i_t--
 
-       moves  the  file descriptor _d_i_g_i_t to file descriptor _n, or the standard
+       moves the file descriptor _d_i_g_i_t to file descriptor _n, or  the  standard
        output (file descriptor 1) if _n is not specified.
 
    OOppeenniinngg FFiillee DDeessccrriippttoorrss ffoorr RReeaaddiinngg aanndd WWrriittiinngg
@@ -2154,117 +2163,117 @@ RREEDDIIRREECCTTIIOONN
 
               [_n]<<>>_w_o_r_d
 
-       causes the file whose name is the expansion of _w_o_r_d to  be  opened  for
-       both  reading and writing on file descriptor _n, or on file descriptor 0
+       causes  the  file  whose name is the expansion of _w_o_r_d to be opened for
+       both reading and writing on file descriptor _n, or on file descriptor  0
        if _n is not specified.  If the file does not exist, it is created.
 
 AALLIIAASSEESS
-       _A_l_i_a_s_e_s allow a string to be substituted for a word when it is used  as
-       the  first  word  of  a  simple command.  The shell maintains a list of
-       aliases that may be set and unset with the aalliiaass  and  uunnaalliiaass  builtin
-       commands  (see  SSHHEELLLL  BBUUIILLTTIINN CCOOMMMMAANNDDSS below).  The first word of each
-       simple command, if unquoted, is checked to see if it has an alias.   If
-       so,  that word is replaced by the text of the alias.  The characters //,
-       $$, ``, and == and any of the shell _m_e_t_a_c_h_a_r_a_c_t_e_r_s or  quoting  characters
+       _A_l_i_a_s_e_s  allow a string to be substituted for a word when it is used as
+       the first word of a simple command.  The  shell  maintains  a  list  of
+       aliases  that  may  be set and unset with the aalliiaass and uunnaalliiaass builtin
+       commands (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).  The first  word  of  each
+       simple  command, if unquoted, is checked to see if it has an alias.  If
+       so, that word is replaced by the text of the alias.  The characters  //,
+       $$,  ``,  and == and any of the shell _m_e_t_a_c_h_a_r_a_c_t_e_r_s or quoting characters
        listed above may not appear in an alias name.  The replacement text may
-       contain any valid shell input,  including  shell  metacharacters.   The
-       first  word  of  the replacement text is tested for aliases, but a word
-       that is identical to an alias being expanded is not expanded  a  second
-       time.   This  means  that  one may alias llss to llss --FF, for instance, and
-       bbaasshh does not try to recursively expand the replacement text.   If  the
-       last  character  of  the  alias value is a _b_l_a_n_k, then the next command
+       contain  any  valid  shell  input, including shell metacharacters.  The
+       first word of the replacement text is tested for aliases,  but  a  word
+       that  is  identical to an alias being expanded is not expanded a second
+       time.  This means that one may alias llss to llss  --FF,  for  instance,  and
+       bbaasshh  does  not try to recursively expand the replacement text.  If the
+       last character of the alias value is a _b_l_a_n_k,  then  the  next  command
        word following the alias is also checked for alias expansion.
 
        Aliases are created and listed with the aalliiaass command, and removed with
        the uunnaalliiaass command.
 
-       There  is no mechanism for using arguments in the replacement text.  If
-       arguments are needed, a shell function should be  used  (see  FFUUNNCCTTIIOONNSS
+       There is no mechanism for using arguments in the replacement text.   If
+       arguments  are  needed,  a shell function should be used (see FFUUNNCCTTIIOONNSS
        below).
 
-       Aliases  are not expanded when the shell is not interactive, unless the
-       eexxppaanndd__aalliiaasseess shell option is set using sshhoopptt (see the description  of
+       Aliases are not expanded when the shell is not interactive, unless  the
+       eexxppaanndd__aalliiaasseess  shell option is set using sshhoopptt (see the description of
        sshhoopptt under SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).
 
-       The  rules  concerning  the  definition and use of aliases are somewhat
-       confusing.  BBaasshh always reads at  least  one  complete  line  of  input
-       before  executing  any  of  the  commands  on  that  line.  Aliases are
-       expanded when a command is read, not when it is  executed.   Therefore,
-       an  alias definition appearing on the same line as another command does
-       not take effect until the next line of input  is  read.   The  commands
+       The rules concerning the definition and use  of  aliases  are  somewhat
+       confusing.   BBaasshh  always  reads  at  least  one complete line of input
+       before executing any  of  the  commands  on  that  line.   Aliases  are
+       expanded  when  a command is read, not when it is executed.  Therefore,
+       an alias definition appearing on the same line as another command  does
+       not  take  effect  until  the next line of input is read.  The commands
        following the alias definition on that line are not affected by the new
-       alias.  This behavior is also an issue  when  functions  are  executed.
-       Aliases  are  expanded when a function definition is read, not when the
-       function is executed, because a function definition is  itself  a  com-
-       mand.   As  a consequence, aliases defined in a function are not avail-
-       able until after that function is executed.  To  be  safe,  always  put
-       alias  definitions on a separate line, and do not use aalliiaass in compound
+       alias.   This  behavior  is  also an issue when functions are executed.
+       Aliases are expanded when a function definition is read, not  when  the
+       function  is  executed,  because a function definition is itself a com-
+       mand.  As a consequence, aliases defined in a function are  not  avail-
+       able  until  after  that  function is executed.  To be safe, always put
+       alias definitions on a separate line, and do not use aalliiaass in  compound
        commands.
 
        For almost every purpose, aliases are superseded by shell functions.
 
 FFUUNNCCTTIIOONNSS
-       A shell function, defined  as  described  above  under  SSHHEELLLL  GGRRAAMMMMAARR,
-       stores  a  series  of commands for later execution.  When the name of a
-       shell function is used as a simple command name, the list  of  commands
+       A  shell  function,  defined  as  described  above under SSHHEELLLL GGRRAAMMMMAARR,
+       stores a series of commands for later execution.  When the  name  of  a
+       shell  function  is used as a simple command name, the list of commands
        associated with that function name is executed.  Functions are executed
-       in the context of the current shell;  no  new  process  is  created  to
-       interpret  them  (contrast  this with the execution of a shell script).
-       When a function is executed, the arguments to the function  become  the
+       in  the  context  of  the  current  shell; no new process is created to
+       interpret them (contrast this with the execution of  a  shell  script).
+       When  a  function is executed, the arguments to the function become the
        positional parameters during its execution.  The special parameter ## is
-       updated to reflect the change.  Special parameter 00 is unchanged.   The
-       first  element of the FFUUNNCCNNAAMMEE variable is set to the name of the func-
+       updated  to reflect the change.  Special parameter 00 is unchanged.  The
+       first element of the FFUUNNCCNNAAMMEE variable is set to the name of the  func-
        tion while the function is executing.
 
-       All other aspects of the  shell  execution  environment  are  identical
-       between  a function and its caller with these exceptions: the DDEEBBUUGG and
-       RREETTUURRNN traps (see the description  of  the  ttrraapp  builtin  under  SSHHEELLLL
-       BBUUIILLTTIINN  CCOOMMMMAANNDDSS below) are not inherited unless the function has been
-       given the ttrraaccee attribute (see the description of the  ddeeccllaarree  builtin
-       below)  or  the --oo ffuunnccttrraaccee shell option has been enabled with the sseett
-       builtin (in which case all  functions  inherit  the  DDEEBBUUGG  and  RREETTUURRNN
-       traps),  and the EERRRR trap is not inherited unless the --oo eerrrrttrraaccee shell
+       All  other  aspects  of  the  shell execution environment are identical
+       between a function and its caller with these exceptions: the DDEEBBUUGG  and
+       RREETTUURRNN  traps  (see  the  description  of  the ttrraapp builtin under SSHHEELLLL
+       BBUUIILLTTIINN CCOOMMMMAANNDDSS below) are not inherited unless the function has  been
+       given  the  ttrraaccee attribute (see the description of the ddeeccllaarree builtin
+       below) or the --oo ffuunnccttrraaccee shell option has been enabled with  the  sseett
+       builtin  (in  which  case  all  functions  inherit the DDEEBBUUGG and RREETTUURRNN
+       traps), and the EERRRR trap is not inherited unless the --oo eerrrrttrraaccee  shell
        option has been enabled.
 
-       Variables local to the function may be declared with the llooccaall  builtin
+       Variables  local to the function may be declared with the llooccaall builtin
        command.  Ordinarily, variables and their values are shared between the
        function and its caller.
 
-       The FFUUNNCCNNEESSTT variable, if set  to  a  numeric  value  greater  than  0,
-       defines  a  maximum  function nesting level.  Function invocations that
+       The  FFUUNNCCNNEESSTT  variable,  if  set  to  a  numeric value greater than 0,
+       defines a maximum function nesting level.   Function  invocations  that
        exceed the limit cause the entire command to abort.
 
-       If the builtin command rreettuurrnn is executed in a function,  the  function
-       completes  and  execution resumes with the next command after the func-
-       tion call.  Any command associated with the  RREETTUURRNN  trap  is  executed
+       If  the  builtin command rreettuurrnn is executed in a function, the function
+       completes and execution resumes with the next command after  the  func-
+       tion  call.   Any  command  associated with the RREETTUURRNN trap is executed
        before execution resumes.  When a function completes, the values of the
-       positional parameters and the special parameter ## are restored  to  the
+       positional  parameters  and the special parameter ## are restored to the
        values they had prior to the function's execution.
 
-       Function  names and definitions may be listed with the --ff option to the
+       Function names and definitions may be listed with the --ff option to  the
        ddeeccllaarree or ttyyppeesseett builtin commands.  The --FF option to ddeeccllaarree or ttyyppee--
-       sseett  will  list the function names only (and optionally the source file
-       and line number, if the eexxttddeebbuugg shell option is  enabled).   Functions
-       may  be exported so that subshells automatically have them defined with
-       the --ff option to the eexxppoorrtt builtin.   A  function  definition  may  be
-       deleted  using  the  --ff  option  to the uunnsseett builtin.  Note that shell
+       sseett will list the function names only (and optionally the  source  file
+       and  line  number, if the eexxttddeebbuugg shell option is enabled).  Functions
+       may be exported so that subshells automatically have them defined  with
+       the  --ff  option  to  the  eexxppoorrtt builtin.  A function definition may be
+       deleted using the --ff option to the  uunnsseett  builtin.   Note  that  shell
        functions and variables with the same name may result in multiple iden-
-       tically-named  entries  in  the environment passed to the shell's chil-
+       tically-named entries in the environment passed to  the  shell's  chil-
        dren.  Care should be taken in cases where this may cause a problem.
 
        Functions may be recursive.  The FFUUNNCCNNEESSTT variable may be used to limit
-       the  depth  of the function call stack and restrict the number of func-
-       tion invocations.  By default, no limit is imposed  on  the  number  of
+       the depth of the function call stack and restrict the number  of  func-
+       tion  invocations.   By  default,  no limit is imposed on the number of
        recursive calls.
 
 AARRIITTHHMMEETTIICC EEVVAALLUUAATTIIOONN
-       The  shell allows arithmetic expressions to be evaluated, under certain
-       circumstances (see the lleett and ddeeccllaarree builtin commands and  AArriitthhmmeettiicc
-       EExxppaannssiioonn).   Evaluation  is done in fixed-width integers with no check
-       for overflow, though division by 0 is trapped and flagged as an  error.
-       The  operators  and their precedence, associativity, and values are the
-       same as in the C language.  The following list of operators is  grouped
-       into  levels  of  equal-precedence operators.  The levels are listed in
+       The shell allows arithmetic expressions to be evaluated, under  certain
+       circumstances  (see the lleett and ddeeccllaarree builtin commands and AArriitthhmmeettiicc
+       EExxppaannssiioonn).  Evaluation is done in fixed-width integers with  no  check
+       for  overflow, though division by 0 is trapped and flagged as an error.
+       The operators and their precedence, associativity, and values  are  the
+       same  as in the C language.  The following list of operators is grouped
+       into levels of equal-precedence operators.  The levels  are  listed  in
        order of decreasing precedence.
 
        _i_d++++ _i_d----
@@ -2292,46 +2301,46 @@ AARRIITTHHMMEETTIICC EEVVAALLUUAATTIIOONN
        _e_x_p_r_1 ,, _e_x_p_r_2
               comma
 
-       Shell variables are allowed as operands; parameter  expansion  is  per-
+       Shell  variables  are  allowed as operands; parameter expansion is per-
        formed before the expression is evaluated.  Within an expression, shell
-       variables may also be referenced by name without  using  the  parameter
-       expansion  syntax.  A shell variable that is null or unset evaluates to
+       variables  may  also  be referenced by name without using the parameter
+       expansion syntax.  A shell variable that is null or unset evaluates  to
        0 when referenced by name without using the parameter expansion syntax.
-       The  value  of a variable is evaluated as an arithmetic expression when
-       it is referenced, or when a variable which has been given  the  _i_n_t_e_g_e_r
+       The value of a variable is evaluated as an arithmetic  expression  when
+       it  is  referenced, or when a variable which has been given the _i_n_t_e_g_e_r
        attribute using ddeeccllaarree --ii is assigned a value.  A null value evaluates
-       to 0.  A shell variable need not have its _i_n_t_e_g_e_r attribute  turned  on
+       to  0.   A shell variable need not have its _i_n_t_e_g_e_r attribute turned on
        to be used in an expression.
 
        Constants with a leading 0 are interpreted as octal numbers.  A leading
-       0x or  0X  denotes  hexadecimal.   Otherwise,  numbers  take  the  form
-       [_b_a_s_e_#]n,  where the optional _b_a_s_e is a decimal number between 2 and 64
-       representing the arithmetic base, and _n is a number in that  base.   If
-       _b_a_s_e_#  is omitted, then base 10 is used.  When specifying _n, the digits
-       greater than 9 are represented by the lowercase letters, the  uppercase
+       0x  or  0X  denotes  hexadecimal.   Otherwise,  numbers  take  the form
+       [_b_a_s_e_#]n, where the optional _b_a_s_e is a decimal number between 2 and  64
+       representing  the  arithmetic base, and _n is a number in that base.  If
+       _b_a_s_e_# is omitted, then base 10 is used.  When specifying _n, the  digits
+       greater  than 9 are represented by the lowercase letters, the uppercase
        letters, @, and _, in that order.  If _b_a_s_e is less than or equal to 36,
-       lowercase and uppercase letters may be used interchangeably  to  repre-
+       lowercase  and  uppercase letters may be used interchangeably to repre-
        sent numbers between 10 and 35.
 
-       Operators  are  evaluated  in  order of precedence.  Sub-expressions in
-       parentheses are evaluated first and may override the  precedence  rules
+       Operators are evaluated in order  of  precedence.   Sub-expressions  in
+       parentheses  are  evaluated first and may override the precedence rules
        above.
 
 CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS
-       Conditional  expressions  are  used  by the [[[[ compound command and the
-       tteesstt and [[ builtin commands to test file attributes and perform  string
-       and  arithmetic comparisons.  Expressions are formed from the following
-       unary or binary primaries.  If any _f_i_l_e argument to  one  of  the  pri-
+       Conditional expressions are used by the [[[[  compound  command  and  the
+       tteesstt  and [[ builtin commands to test file attributes and perform string
+       and arithmetic comparisons.  Expressions are formed from the  following
+       unary  or  binary  primaries.   If any _f_i_l_e argument to one of the pri-
        maries is of the form _/_d_e_v_/_f_d_/_n, then file descriptor _n is checked.  If
-       the _f_i_l_e argument to  one  of  the  primaries  is  one  of  _/_d_e_v_/_s_t_d_i_n,
-       _/_d_e_v_/_s_t_d_o_u_t,  or _/_d_e_v_/_s_t_d_e_r_r, file descriptor 0, 1, or 2, respectively,
+       the  _f_i_l_e  argument  to  one  of  the  primaries  is one of _/_d_e_v_/_s_t_d_i_n,
+       _/_d_e_v_/_s_t_d_o_u_t, or _/_d_e_v_/_s_t_d_e_r_r, file descriptor 0, 1, or 2,  respectively,
        is checked.
 
        Unless otherwise specified, primaries that operate on files follow sym-
        bolic links and operate on the target of the link, rather than the link
        itself.
 
-       When used with [[[[, the << and >> operators sort  lexicographically  using
+       When  used  with [[[[, the << and >> operators sort lexicographically using
        the current locale.  The tteesstt command sorts using ASCII ordering.
 
        --aa _f_i_l_e
@@ -2370,30 +2379,30 @@ CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS
        --LL _f_i_l_e
               True if _f_i_l_e exists and is a symbolic link.
        --NN _f_i_l_e
-              True  if  _f_i_l_e  exists  and  has been modified since it was last
+              True if _f_i_l_e exists and has been  modified  since  it  was  last
               read.
        --OO _f_i_l_e
               True if _f_i_l_e exists and is owned by the effective user id.
        --SS _f_i_l_e
               True if _f_i_l_e exists and is a socket.
        _f_i_l_e_1 --eeff _f_i_l_e_2
-              True if _f_i_l_e_1 and _f_i_l_e_2 refer to the same device and inode  num-
+              True  if _f_i_l_e_1 and _f_i_l_e_2 refer to the same device and inode num-
               bers.
        _f_i_l_e_1 -nntt _f_i_l_e_2
-              True  if  _f_i_l_e_1  is  newer (according to modification date) than
+              True if _f_i_l_e_1 is newer (according  to  modification  date)  than
               _f_i_l_e_2, or if _f_i_l_e_1 exists and _f_i_l_e_2 does not.
        _f_i_l_e_1 -oott _f_i_l_e_2
-              True if _f_i_l_e_1 is older than _f_i_l_e_2, or if _f_i_l_e_2 exists and  _f_i_l_e_1
+              True  if _f_i_l_e_1 is older than _f_i_l_e_2, or if _f_i_l_e_2 exists and _f_i_l_e_1
               does not.
        --oo _o_p_t_n_a_m_e
-              True  if  the  shell option _o_p_t_n_a_m_e is enabled.  See the list of
-              options under the description  of  the  --oo  option  to  the  sseett
+              True if the shell option _o_p_t_n_a_m_e is enabled.  See  the  list  of
+              options  under  the  description  of  the  --oo  option to the sseett
               builtin below.
        --vv _v_a_r_n_a_m_e
-              True  if  the shell variable _v_a_r_n_a_m_e is set (has been assigned a
+              True if the shell variable _v_a_r_n_a_m_e is set (has been  assigned  a
               value).
        --RR _v_a_r_n_a_m_e
-              True if the shell variable _v_a_r_n_a_m_e is set and is a  name  refer-
+              True  if  the shell variable _v_a_r_n_a_m_e is set and is a name refer-
               ence.
        --zz _s_t_r_i_n_g
               True if the length of _s_t_r_i_n_g is zero.
@@ -2403,8 +2412,8 @@ CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS
 
        _s_t_r_i_n_g_1 ==== _s_t_r_i_n_g_2
        _s_t_r_i_n_g_1 == _s_t_r_i_n_g_2
-              True  if  the strings are equal.  == should be used with the tteesstt
-              command for POSIX conformance.  When used with the  [[[[  command,
+              True if the strings are equal.  == should be used with  the  tteesstt
+              command  for  POSIX conformance.  When used with the [[[[ command,
               this performs pattern matching as described above (CCoommppoouunndd CCoomm--
               mmaannddss).
 
